Bug 206005 - Link Up/Down SNMP traps are not sent by the SNMP agent.
Link Up/Down SNMP traps are not sent by the SNMP agent.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.5
All Linux
high Severity high
: ---
: ---
Assigned To: Radek Vokal
: Reopened
Depends On:
Blocks: 190484
  Show dependency treegraph
 
Reported: 2006-09-11 09:56 EDT by Raghavendra Biligiri
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0183
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Biligiri 2006-09-11 09:56:10 EDT
Description of problem:
The Network link up/link down status are not reported by the SNMP agent.The 
link up/link down events are sent from the disman agent which is not compiled 
into the default SNMP agent.

Version-Release number of selected component (if applicable):
net-snmp-5.1.2-11.EL4.7

How reproducible:


Steps to Reproduce:
1.Install RHEL4-U4(kernel-2.6.9-42)
2.Generate Link Up/Down events 
3.
  
Actual results:
Link Up/Down SNMP traps are not sent by the SNMP agent.

Expected results:
Link Up/Down SNMP traps should be sent by the SNMP agent.

Additional info:
Comment 1 Raghavendra Biligiri 2006-09-19 08:34:53 EDT
Disman event mib is by default compiled in net-snmp-5.3.1.0-2(RHEL5 Beta1).
Comment 2 Larry Troan 2006-09-19 09:55:42 EDT
Pinged Sammy (TAM) on this issue -- looks like a bug to me rather than a feature. 

Reason: link up/down events not sent. 
The mechanism happens to be "disman" which is not compiled into net-snmp by
default but regardless, these important events should be sent upstream by the
snmp agent.
Comment 3 Raghavendra Biligiri 2006-09-25 05:13:51 EDT
Request RedHat to confirm whether this issue will be fixed in RHEL4-U5.
Comment 6 Charles Rose 2006-11-09 04:00:21 EST
Larry/Sammy,

Appretiate a response to Comment #3.
Comment 8 RHEL Product and Program Management 2006-11-20 10:21:54 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 9 Raghavendra Biligiri 2006-11-21 01:20:12 EST
I am unable to reopen this issue. Red Hat, please reopen this issue for me.

For Enterprise Systems Management solutions based on SNMP, this feature is 
important. We want to have this feature in RHEL 4.5. We do not understand why 
RH disabled this in the first place. Is there an alternative way to establish 
cable-pulls via SNMP?
Comment 10 Raghavendra Biligiri 2006-11-21 01:20:24 EST
I am unable to reopen this issue. Red Hat, please reopen this issue for me.

For Enterprise Systems Management solutions based on SNMP, this feature is 
important. We want to have this feature in RHEL 4.5. We do not understand why 
RH disabled this in the first place. Is there an alternative way to establish 
cable-pulls via SNMP?
Comment 11 Samuel Benjamin 2006-11-21 11:49:59 EST
Dell has requested to reopen this case for consideratin into 4.5.

-----------------------------
Raghavendra_Biligiri@Dell.com wrote:

Sammy,

I was not able to reopen this issue.This issue is important for Dell.
We have added our justification on Bugzilla for reopening this issue.
Request RedHat to reopen this issue.

Thanks ,
Raghavendra.B
Linux Engineering Team
Dell India R&D Centre,Bangalore
Comment 12 Samuel Benjamin 2006-11-21 11:57:35 EST
Per commnets from RH engineering we need to treat this as a feature, let us
discuss in the weekly call :
-------------------------------------
I've already discussed this outside of the bugzilla. This is feature request and
would require patching net-snmp to newer version of disman MIB. I would rather
NOT do this.
Comment 13 RHEL Product and Program Management 2006-11-21 12:06:46 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 Larry Troan 2006-11-30 09:47:29 EST
See comment #10 for Dell justification. Moving this to the feature list.
Comment 17 Red Hat Bugzilla 2007-01-16 05:58:19 EST
Bug report changed to ON_QA status by Errata System.
A QE request has been submitted for advisory RHBA-2007:9075-02.
http://errata.devel.redhat.com/errata/showrequest.cgi?advisory=4734
Comment 18 Charles Rose 2007-01-18 06:50:35 EST
Can we have a test package to verify the fix?
Comment 21 Issue Tracker 2007-04-19 17:12:38 EDT
We apologize for the delay in providing a test package to you. Please try
the Release Candidate of RHEL4.5 that was released to Partners today and
let us know if the issue has been resolved. The ISOs can be downloaded
here:

ftp://partners.redhat.com/af38ac4316ba20df2dec5f990913396d

Internal Status set to 'Waiting on Customer'
Status set to: Waiting on Client

This event sent from IssueTracker by gcase 
 issue 101814
Comment 22 Red Hat Bugzilla 2007-05-01 13:30:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0183.html

Note You need to log in before you can comment on or make changes to this bug.